Skip to content
Snippets Groups Projects
Commit 4fcf8c73 authored by Thomas Jahns's avatar Thomas Jahns :cartwheel:
Browse files

C++ interface: Extend header test to make it usable with clang++.

* On FreeBSD, g++ might also be available under the name g++${VERSION}.
parent d7ca213f
No related branches found
No related tags found
No related merge requests found
......@@ -46,7 +46,7 @@ set -e
if [ x"${BASH_VERSION}" = x ]; then
exec bash "$0" || { echo 'test skipped: bash not found!' >&2 ; exit 77 ; }
fi
if GXX=$(command -v g++ 2>/dev/null) &&
if GXX=${GXX-$(command -v g++ 2>/dev/null)} &&
printf '%s\n' '#include <mpi.h>' | \
"$GXX" -x c++ -S -o /dev/null -I../inst_headers \
@MPI_C_INCLUDE@ - \
......@@ -55,7 +55,11 @@ if GXX=$(command -v g++ 2>/dev/null) &&
@MPI_C_INCLUDE@ \
../inst_headers/yaxt.hpp
else
echo 'test skipped: Could not find the GNU C++ compiler g++' >&2
printf '%s\n' \
'test skipped: Could not find the GNU C++ compiler g++ or clang++' \
' consider setting environment variable GXX to a command to' \
' execute a compiler supporting common g++ command-line switches,' \
' e.g. GXX=mpic++ ' >&2
exit 77
fi
#
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment